import KeyProps, { KeyType } from './KeyProps';
import { PrivateKey as HPrivateKey } from '@hashgraph/sdk';
import PublicKey from './PublicKey';
import BaseError from '../../../core/error/BaseError';
export default class PrivateKey implements KeyProps {
    readonly key: string;
    readonly type: string;
    readonly publicKey: PublicKey;
    constructor(props: KeyProps);
    static validate(val?: string | object): BaseError[];
    toString(): string;
    validateType(type?: string): KeyType;
    toHashgraphKey(): HPrivateKey;
}
